---
api: 'Business API'
---

# Update a team member's role

Update the role assigned to a specific team member.

:::note
You cannot modify the business owner or assign the owner role to another team member.
:::

For more information, see the guides: [Manage team members](https://developer.revolut.com/docs/guides/manage-accounts/teams/manage-team-members).

## Endpoint

PUT `/team-members/{team_member_id}/role`

## Parameters

### path parameters

- `team_member_id` (string, required)
  The ID of the team member whose role to update.

## Request body

### Attributes

- `role_id` (string)
    The ID of the role to assign to the team member.
    
    For default roles (such as `Owner`, `Admin`, `Member`), the ID is the same as the role name.
    For custom roles, use the UUID returned by the [`GET /roles` operation](#get-roles).

## Returns

### 204

Role was updated.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request  Returned when the specified role ID does not exist or does not belong to this business. |
| 401 | Unauthorized – authentication credentials are missing or invalid  Returned when the request was not fulfilled because authentication has failed or has not been provided. |
| 403 | Action forbidden - insufficient permissions to perform this action  Returned, for example, when you don't have permissions necessary to perform this action. |
| 404 | Not found  Returned when the team member that you're trying to update doesn't exist. |
| 422 | Cannot modify owner  Returned when you're trying to modify the business owner or assign the owner role to another team member. |
